Subject: bug#13329: 24.2 post patch for #9521; Rmail forward does not correctly handle MIME messages containing "From " lines

From: Eli Zaretskii <[email-masked]>
Date: Tue, 11 Oct 2022 08:24:06 +0300

> From: Mark Lillibridge <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Mon, 10 Oct 2022 13:37:03 -0700
> 
> >  And now I've also sent to myself a message with a MIME attachment,
> >  where the attachment was a text that included a line that began with a
> >  "From".  In the message I received, if I tell Rmail to show the
> >  attachment, I see that line without any leading ">" before "From".  So
> >  again, I'm unable to reproduce the problem you are describing.
> 
>     How did your mailer encode the attachment?  If it used base64, then
> I don't expect you'll see the bug.

It was base64, but that's the default used by Rmail, because I didn''t
change anything, just used the mail-add-attachment command, and the
file I attached was plain-ASCII file.

> >  Are you sure you are using rmail.el which came with Emacs 28?
> 
>     For the test with the existing mbox, yes.  I downloaded and built
> from source Emacs 28.1 and invoked it with -q, which should mean it
> looks at none of my elisp.

Then I have no idea what is going on, but from my testing the problem
doesn't exist.  Perhaps your configuration of email happens to trigger
some rare situation, but I'd need a clear recipe starting from "emacs -Q"
to reproduce it.  Or maybe your MTA has something to do with that?